﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;

namespace XMLWriter
{
    class Program
    {
        static void Main(string[] args)
        {
// Skapa ett XML-dokument:
XmlDocument xmlDoc = new XmlDocument();

// Ange version och encoding för xml-dokumentet...
XmlDeclaration xmlDeclaration = xmlDoc.CreateXmlDeclaration("1.0", "utf-8", null);
// ...och lägg till i dokumentet:
xmlDoc.AppendChild(xmlDeclaration);

// Skapa rot-elementet books och lägg till i dokumentet:
XmlElement books = xmlDoc.CreateElement("books");
xmlDoc.AppendChild(books);

// Skapa elementet book och lägg till under books:
XmlElement book = xmlDoc.CreateElement("book");
books.AppendChild(book);

// Skapa elementet auhtor och lägg till under book:
XmlElement author = xmlDoc.CreateElement("author");
author.InnerText = "Krister Trangius";
book.AppendChild(author);

// Skapa elementet title och lägg till under book:
XmlElement title = xmlDoc.CreateElement("title");
title.InnerText = "Programmering 2 med C#";
book.AppendChild(title);

book = xmlDoc.CreateElement("book");
books.AppendChild(book);

author = xmlDoc.CreateElement("author");
author.InnerText = "Gene Wolfe";
book.AppendChild(author);

title = xmlDoc.CreateElement("title");
title.InnerText = "Book Of The New Sun";
book.AppendChild(title);

xmlDoc.Save("media.xml");
        }
    }
}
