﻿using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace SpaceShooter
{
    // =======================================================================
    // GoldCoin, mynt som ger poäng
    // =======================================================================
    class GoldCoin : PhysicalObject
    {
        double timeToDie; // Hur länge guldmyntet lever kvar
        // =======================================================================
        // GoldCoin(), konstruktor för att skapa objektet
        // =======================================================================
        public GoldCoin(Texture2D texture, float X, float Y, GameTime gameTime)
            : base(texture, X, Y, 0, 2f)
        {
            timeToDie = gameTime.TotalGameTime.TotalMilliseconds + 5000;
        }
        // =======================================================================
        // Update(), kontrollear om guldmyntet ska få leva vidare
        // =======================================================================
        public void Update(GameTime gameTime)
        {
            // döda guldmyntet om det är för gammalt
            if (timeToDie < gameTime.TotalGameTime.TotalMilliseconds)
                isAlive = false;
        }
    }

}
